# norootforbuild

Name:		fail2ban
Version:	0.8.4
Release:	1.pm.1.1

Summary:    Ban IPs that make too many password failure
License:    GPL
URL:        http://www.fail2ban.org
Group:      Productivity/Security

Source:     %{name}-%{version}.tar.bz2

BuildRoot:  %{_tmppath}/buildroot-%{name}-%{version}

Requires:   python

BuildRequires: python-devel


%description
Fail2Ban scans log files like /var/log/pwdfail or
/var/log/apache/error_log and bans IP that makes
too many password failures. It updates firewall rules
to reject the IP address or executes user defined
commands.

%prep
%setup -q


%build
%__sed -i -e "s|/local/|/|g" files/suse-initd
%__python setup.py build

%install
%__python setup.py  install \
                    --prefix=%{_prefix} \
                    --root=%{buildroot}

%__mkdir -p %{buildroot}/%_localstatedir/run/%{name}

%__mkdir -p %{buildroot}/%{_sysconfdir}/init.d

# since fail2ban-0.8.2 it is named /var/run/fail2ban
%__sed -i -e 's|/var/run/fail2ban.pid|/var/run/fail2ban/fail2ban.pid|g' \
	files/suse-initd

%__install -m 755 files/suse-initd %{buildroot}/%{_sysconfdir}/init.d/%{name}

%__mkdir -p %{buildroot}/%{_prefix}/sbin/
%__ln_s %{_sysconfdir}/init.d/%{name} %{buildroot}/%{_prefix}/sbin/rc%{name}


%postun
%restart_on_update %{name}
%insserv_cleanup

%preun
%stop_on_removal %{name}


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root)
%doc ChangeLog COPYING PKG-INFO README
%{_bindir}/%{name}-client
%{_bindir}/%{name}-server
%{_bindir}/%{name}-regex
%{_sbindir}/rc%{name}
%dir %{_sysconfdir}/%{name}
%config %{_sysconfdir}/%{name}/fail2ban.conf
%config %{_sysconfdir}/%{name}/jail.conf
%dir %{_sysconfdir}/%{name}/action.d
%config %{_sysconfdir}/%{name}/action.d/*.conf
%dir %{_sysconfdir}/%{name}/filter.d/
%config %{_sysconfdir}/%{name}/filter.d/*.conf
%{_sysconfdir}/init.d/%{name}
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/client
%{_datadir}/%{name}/client/*
%dir %{_datadir}/%{name}/common
%{_datadir}/%{name}/common/*
%dir %{_datadir}/%{name}/server
%{_datadir}/%{name}/server/*
%{_localstatedir}/run/%{name}
%if %suse_version >= 1020
%{_datadir}/%{name}/*.egg-info
%endif


%changelog
* Wed Sep 09 2008 Detlef Reichelt <detlef@links2linux.de> 0.8.4
- new upstream version <0.8.4>
  - Check the inode number for rotation in addition to checking the first line of
    the file. Thanks to Jonathan Kamens. Red Hat #503852. Tracker #2800279.
  - Moved the shutdown of the logging subsystem out of Server.quit() to
    the end of Server.start(). Fixes the 'cannot release un-acquired lock'
    error.
  - Added "Ban IP" command. Thanks to Arturo 'Buanzo' Busleiman.
  - Added two new filters: lighttpd-fastcgi and php-url-fopen.
  - Fixed the 'unexpected communication error' problem by means of
    use_poll=False in Python >= 2.6.
  - Merged patches from Debian package. Thanks to Yaroslav Halchenko.
  - Use current day and month instead of Jan 1st if both are not available in the
    log. Thanks to Andreas Itzchak Rehberg.
  - Try to match the regex even if the line does not contain a valid date/time.
    Described in Debian #491253. Thanks to Yaroslav Halchenko.
  - Added/improved filters and date formats.
  - Added actions to report abuse to ISP, DShield and myNetWatchman. Thanks to
    Russell Odom.
  - Suse init script. Remove socket file on startup is fail2ban crashed. Thanks to
    Detlef Reichelt.
  - Removed begin-line anchor for "standard" timestamp. Fixed Debian bug #500824.
  - Added nagios script. Thanks to Sebastian Mueller.
  - Added CPanel date format. Thanks to David Collins. Tracker #1967610.
  - Improved SASL filter. Thanks to Loic Pefferkorn. Tracker #2310410.
  - Added NetBSD ipfilter (ipf command) action. Thanks to Ed Ravin. Tracker
    #2484115.
  - Added cyrus-imap and sieve filters. Thanks to Jan Wagner. Debian bug #513953.
  - Changed <HOST> template to be more restrictive. Debian bug #514163.
  - Use timetuple instead of utctimetuple for ISO 8601. Maybe not a 100 percent correct
    fix but seems to work. Tracker #2500276.
  - Made the named-refused regex a bit less restrictive in order to match logs
    with "view". Thanks to Stephen Gildea.
  - Fixed maxretry/findtime rate. Many thanks to Christos Psonis. Tracker
    #2019714
* Sun Dec 28 2008 Detlef Reichelt <detlef@links2linux.de> <0.8.3>-<0.pm.2>
- add rm_socket.patch:
    a cleanup workaround, since /etc/init.d/boot.local removes only
    regular files, and not sockets
* Fri Jul 18 2008 Detlef Reichelt <detlef@links2linux.de> <0.8.3>-<0.pm.1>
- new upstream version <0.8.3>
  * Process failtickets as long as failmanager is not empty.
  * Added "pam-generic" filter and more configuration fixes.
    Thanks to Yaroslav Halchenko.
  * Fixed socket path in redhat and suse init script. Thanks to
    Jim Wight.
  * Fixed PID file while started in daemon mode. Thanks to
  * Christian Jobic who submitted a similar patch.
  * Fixed "fail2ban-client get <jail> logpath". Bug #1916986.
  * Added gssftpd filter. Thanks to Kevin Zembower.
  * Added "Day/Month/Year Hour:Minute:Second" date template.
    Thanks to Dennis Winter.
  * Fixed ignoreregex processing in fail2ban-client. Thanks to
    René Berber.
  * Added ISO 8601 date/time format.
  * Added and changed some logging level and messages.
  * Added missing ignoreregex to filters. Thanks to Klaus
    Lehmann.
  * Use poll instead of select in asyncore.loop. This should
    solve the "Unknown error 514". Thanks to Michael Geiger and
    Klaus Lehmann.
* Tue Jul 08 2008 Toni Graffy <toni@links2linux.de> - 0.8.2-0.pm.4
- moved the location of the pid-file in the rc-script to /var/run/fail2ban
* Tue Mar 11 2008 Detlef Reichelt <detlef@links2linux.de> <0.8.2>-<0.pm.3>
- mark all stuff in /etc/fail2ban as config
* Fri Mar 07 2008 Detlef Reichelt <detlef@links2linux.de> <0.8.2>-<0.pm.2>
- add /var/run/fail2ban
* Thu Mar 06 2008 Detlef Reichelt <detlef@links2linux.de> <0.8.2>-<0.pm.1>
- new upstream version <0.8.2>
* Thu Sep 13 2007 Detlef Reichelt <detlef@links2linux.de> <0.8.1>-<0.pm.2>
- fix path in init script
* Mon Sep 10 2007 Detlef Reichelt <detlef@links2linux.de> <0.8.1>-<0.pm.1>
- initial build for packman
- use specfile from Richard Weinberger
